Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api.taskplan
Enum Step.Type

    java.lang.Object
      java.lang.Enum<Step.Type>
          com.bea.wli.worklist.api.taskplan.Step.Type

All Implemented Interfaces:
  Serializable, Comparable<Step.Type>

Enclosing interface:
  Step

    public static enum Step.Type

extends Enum<Step.Type>

Enum Constant Summary
`Abort` This step, when it is made the current step, will cause this task to transition to the complete administrative state.
`Complete` This step, when it is made the current step, will cause this task to transition to the complete administrative state.
`Normal` This step is a plain step with no special meaning to the Worklist runtime.
`Return` This step, when it is made the current step, will cause this task to be returned to the assigned.

Method Summary
`static Step.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Step.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Normal

    public static final Step.Type Normal

  This step is a plain step with no special meaning to the Worklist runtime.

### Complete

    public static final Step.Type Complete

  This step, when it is made the current step, will cause this task to transition to the complete administrative state.

### Abort

    public static final Step.Type Abort

  This step, when it is made the current step, will cause this task to transition to the complete administrative state.

### Return

    public static final Step.Type Return

  This step, when it is made the current step, will cause this task to be returned to the assigned. This type of step takes the place of setting assignment instructions for the step, which would have the same effect (the task returns to the assigned state when it becomes the current step). Because of this, it makes no sense to set this option and also provide assignment instructions (though it is not an error to do so).

Method Detail

### values

    public static final Step.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Step.Type c : Step.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Step.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD